summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/activesupport-7.1.1-r1.ebuild82
-rw-r--r--dev-ruby/activesupport/files/activesupport-7.1.1-backport-pr50097.patch65
-rw-r--r--dev-ruby/activesupport/metadata.xml3
-rw-r--r--dev-ruby/net-imap/Manifest2
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.7.ebuild (renamed from dev-ruby/net-imap/net-imap-0.4.1.ebuild)0
-rw-r--r--dev-ruby/nio4r/Manifest1
-rw-r--r--dev-ruby/nio4r/nio4r-2.7.0.ebuild31
-rw-r--r--dev-ruby/stringio/stringio-3.0.6.ebuild2
-rw-r--r--dev-ruby/stringio/stringio-3.0.7.ebuild2
-rw-r--r--dev-ruby/stringio/stringio-3.0.8.ebuild2
-rw-r--r--dev-ruby/stringio/stringio-3.1.0.ebuild2
-rw-r--r--dev-ruby/sus/Manifest3
-rw-r--r--dev-ruby/sus/sus-0.20.3.ebuild32
-rw-r--r--dev-ruby/sus/sus-0.23.0.ebuild2
-rw-r--r--dev-ruby/sus/sus-0.24.0.ebuild (renamed from dev-ruby/sus/sus-0.21.0.ebuild)2
15 files changed, 190 insertions, 41 deletions
diff --git a/dev-ruby/activesupport/activesupport-7.1.1-r1.ebuild b/dev-ruby/activesupport/activesupport-7.1.1-r1.ebuild
new file mode 100644
index 000000000000..8c775c154382
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.1.1-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+msgpack test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( msgpack )"
+PATCHES=( "${FILESDIR}/${PN}-7.1.1-backport-pr50097.patch" )
+
+RUBY_S="rails-${PV}/${PN}"
+
+# bigdecimal and mutex_m are bundled with ruby as default gems
+ruby_add_rdepend "
+ dev-ruby/base64
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/connection_pool-2.2.5
+ dev-ruby/drb
+ >=dev-ruby/i18n-1.6:1
+ >=dev-ruby/minitest-5.1
+ dev-ruby/tzinfo:2
+ msgpack? ( >=dev-ruby/msgpack-1.7.0 )
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack:3.0
+ dev-ruby/rexml
+ dev-ruby/mocha
+ >dev-ruby/minitest-5.15.0:*
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|execjs\|jquery-rails\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\|cgi\|net-smtp\|net-imap\|net-pop\|digest\|matrix\|web-console\|error_highlight\|jbuilder\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/^group :test/,/^end/ s:^:#:' \
+ -e '/^\s*group :\(db\|doc\|rubocop\|job\|cable\|lint\|storage\|ujs\|test\|view\|mdl\) do/,/^\s*end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/activesupport/files/activesupport-7.1.1-backport-pr50097.patch b/dev-ruby/activesupport/files/activesupport-7.1.1-backport-pr50097.patch
new file mode 100644
index 000000000000..89ac92e7f642
--- /dev/null
+++ b/dev-ruby/activesupport/files/activesupport-7.1.1-backport-pr50097.patch
@@ -0,0 +1,65 @@
+https://bugs.gentoo.org/show_bug.cgi?id=917059
+https://github.com/rails/rails/pull/50097
+
+From 2ddb90f63e0fffea493cb1987850797608c4d895 Mon Sep 17 00:00:00 2001
+From: matoro <matoro@users.noreply.github.com>
+Date: Sat, 18 Nov 2023 12:46:23 -0500
+Subject: [PATCH] Skip activesupport event processing tests on platforms w/o
+ highres clock
+
+On platforms without a high-resolution (nanosecond) clock, it is likely
+that the processing of an event will take less time than one complete
+clock resolution cycle, which means that the start and end times will be
+equal and the duration zero, failing these tests. Usually these issues
+are fixed by adding a sleep of equal to one clock resolution cycle, but
+that is not applicable here since the duration measurement occurs in the
+actual library code rather than the test code, so just skip these tests
+on such platforms. Also tested and confirmed that the tests are not
+skipped under normal platforms with a highres clock.
+---
+ test/log_subscriber_test.rb | 9 +++++++--
+ test/notifications_test.rb | 9 ++++++---
+ 2 files changed, 13 insertions(+), 5 deletions(-)
+
+diff --git a/test/log_subscriber_test.rb b/test/log_subscriber_test.rb
+index 455f6952e31b..0fd3ff69eb19 100644
+--- a/test/log_subscriber_test.rb
++++ b/test/log_subscriber_test.rb
+@@ -108,10 +108,15 @@ def test_event_attributes
+ assert_equal 0, event.cpu_time
+ assert_equal 0, event.allocations
+ else
+- assert_operator event.cpu_time, :>, 0
++ # These assertions may fail on platforms without nanosecond-resolution clocks
++ if Process.clock_getres(Process::CLOCK_MONOTONIC) <= 1.0e-09
++ assert_operator event.cpu_time, :>, 0
++ end
+ assert_operator event.allocations, :>, 0
+ end
+- assert_operator event.duration, :>, 0
++ if Process.clock_getres(Process::CLOCK_MONOTONIC) <= 1.0e-09
++ assert_operator event.duration, :>, 0
++ end
+ assert_operator event.idle_time, :>=, 0
+ end
+
+diff --git a/test/notifications_test.rb b/test/notifications_test.rb
+index 87416602bb2f..9bc7e393e3a9 100644
+--- a/test/notifications_test.rb
++++ b/test/notifications_test.rb
+@@ -36,9 +36,12 @@ def test_subscribe_events
+ event = events.first
+ assert event, "should have an event"
+ assert_operator event.allocations, :>, 0
+- assert_operator event.cpu_time, :>, 0
+- assert_operator event.idle_time, :>=, 0
+- assert_operator event.duration, :>, 0
++ # These assertions may fail on platforms without nanosecond-resolution clocks
++ if Process.clock_getres(Process::CLOCK_MONOTONIC) <= 1.0e-09
++ assert_operator event.cpu_time, :>, 0
++ assert_operator event.idle_time, :>=, 0
++ assert_operator event.duration, :>, 0
++ end
+ end
+
+ def test_subscribe_to_events_where_payload_is_changed_during_instrumentation
diff --git a/dev-ruby/activesupport/metadata.xml b/dev-ruby/activesupport/metadata.xml
index 246d194b7ec0..6f7a69e3a397 100644
--- a/dev-ruby/activesupport/metadata.xml
+++ b/dev-ruby/activesupport/metadata.xml
@@ -6,5 +6,8 @@
<name>Gentoo Ruby Project</name>
</maintainer>
+ <use>
+ <flag name="msgpack">Support ActiveSupport::MessagePack module</flag>
+ </use>
<origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/net-imap/Manifest b/dev-ruby/net-imap/Manifest
index 0d102f30cf66..0fe5e141b753 100644
--- a/dev-ruby/net-imap/Manifest
+++ b/dev-ruby/net-imap/Manifest
@@ -1,7 +1,7 @@
DIST net-imap-0.3.7.tar.gz 138906 BLAKE2B d6bc143d3947ec8a97cd7e0628e05447574f83296c78275dc7414d9cc744e820bcb6b8917de9215152be8b6141f69d4d6a1ea9e2265791eb4989dcdcce09b10c SHA512 6917d3bd980bbca86938232a59104dd924ffe7ec2f095e8c997165c726ada8020c821b26a0e8748433df49cf8802c4a434c805bd27f415d1f2644ddea1a94db8
-DIST net-imap-0.4.1.tar.gz 196263 BLAKE2B 90b6341c35263b01c6227b694decdea1bab0d7c8f2afd6c9d74ac25281202d0d39614fb517476a4a294fbc4fd1e236c065d3e415e36827b902e7224e482431b2 SHA512 f3b600bd52f554661db449fb5846d7a82713e1cda5211262e4b6326713d1b6e5e6a9294d47dcc27245450bbf97f5fcd94cf93f222ffe4098b5ead6a465cf5e22
DIST net-imap-0.4.2.tar.gz 196932 BLAKE2B ab58a3c2a5cea223f23f7325b9b632157dea48bea17c60cb6e21bbb2a04c73a4d80cfb4f25f5752ebf30f6d30d8adbf6dc47a737d6dfa9eb64a476d4bc8e61e6 SHA512 a3631d004aa07830e8ace3fefc0dd95cdf4b50b1442147b473430d2dd0c6e8a4170a0a0d20485317d9c8dba3b089734d0e5cfef30d8662d4b98e83740d4bb0d7
DIST net-imap-0.4.3.tar.gz 204911 BLAKE2B bed0cc6f61dc328161f48b97a23e83724956b449aa95a119ba45efbc94d68ab8a676b9e4a00f2ec5300ce5049cb732e1953532a9a4f327fe09d9deb63207a151 SHA512 f294b1455514a47a30456dd1d6b58404138f15ca5de61b5a24774836ccd0227f41900921814d608a7132a02053a296b0ddc9760a3a7058c6699c7959d92ad121
DIST net-imap-0.4.4.tar.gz 205669 BLAKE2B 995657acbbab35f74da8c8d09f6cb82f0d44bb4a111ca3e413de9f092ba291a44f4c2732acb7dc869b7794f3d2af56b96c00cd4f7601112cc691a2b077a6c43e SHA512 4468c0b4b1f2b5eb99fb3c06f421751eb8e156a14fcd68efcfbda7190be542e03ccfd0b21b8944eaed3b92763df4552e58a1d2f9b5952d8199150fcc6964c877
DIST net-imap-0.4.5.tar.gz 218668 BLAKE2B 14d6c77d566b4c8dd93844c788fa330e2e2c5b7936c494e8881f3e8167e3988b047cc66d53f7faee24c81fb647dfa8510ddc75f86aa405216fd9cfad699cd34e SHA512 2480aca844cab769f8ae1544ed91cb451c426f58d35a8f117f6684f0af20d56ca2f7373a045144be5e6e781507941901ade55ee439c307f37d9ccec0418a833e
DIST net-imap-0.4.6.tar.gz 219179 BLAKE2B 8b354156c672d308849b4b082ea980113f502d384be1f40004b7b4caef222a9647332baf9972df563d0b59d89d6e6faf0fb62c26dcb9812349840e5f97a3d801 SHA512 d4a3f0f47b8b7006232a88406f446ab799e2172bf2b058a22e594369d03dbebd81cf0fb44062d05a10c020ae0b9cecbd9964498a3f3c56a4d8a011e418fa549a
+DIST net-imap-0.4.7.tar.gz 220063 BLAKE2B cbf68cd80a273593a7d44fc890cd0d98de1ac8e6f4bd1f3b5ed7e6281e072fbba3e75e2bed582b798ae9cbb355459d5c4c2a63d3cffaf3856b4b3ae2e552a6af SHA512 f54e4564050899a6f1d6b4174d7c304139bc736e373c8936453b93ad2e63a1f2fa43578b2cc04cb04675c6d52c137e27fea0df13c78ae6ebb48e63e8e258479b
diff --git a/dev-ruby/net-imap/net-imap-0.4.1.ebuild b/dev-ruby/net-imap/net-imap-0.4.7.ebuild
index ff9ad346395a..ff9ad346395a 100644
--- a/dev-ruby/net-imap/net-imap-0.4.1.ebuild
+++ b/dev-ruby/net-imap/net-imap-0.4.7.ebuild
diff --git a/dev-ruby/nio4r/Manifest b/dev-ruby/nio4r/Manifest
index 9f66e5ccff50..d39b32bee4fa 100644
--- a/dev-ruby/nio4r/Manifest
+++ b/dev-ruby/nio4r/Manifest
@@ -2,3 +2,4 @@ DIST nio4r-2.5.8.gem 121856 BLAKE2B be79548761f52abab632b8e4660ab8557946079a51fe
DIST nio4r-2.5.9.gem 122368 BLAKE2B 4238e2963604539207e1adc7ee78430e4f501ea8b71d807ee4f3c44322d16612779777f11b76313aaad6d252321435854f5b4905f83a2fe03c9d71be20b7a718 SHA512 d1c52896f186d19eb089a94d74ccadb427e64c204af149aa83a5a4dda3f0edd1bd2bae94afd21fcd58e3c2b9e2c17278a18717c0905de80e45540d13eeefd9e5
DIST nio4r-2.6.0.gem 122880 BLAKE2B 19c94080603f4faf343b97de5bfdb5a93a1dd1b9edaf858c7cc193e0aec1ecbf62fb8d35c68cace617c28be3ae7d65f5b417de3df5e40a0dd00a17050f1145d9 SHA512 6045acb7059c1067fbe5f98416a491bfa6d2d00e55cfc5b2d722fb54174df42f045b2fcc213b11e33626d1387f620ea46f95047ebaffbc348442eef2be1a58b6
DIST nio4r-2.6.1.gem 123904 BLAKE2B 5fbfe2a67fbd9fb6f49607358827391a56760c79435748f8fca0cbe6408f145cba224641b77afa8f6f49b1cd7e2fdd93e46e5aa3c75496f6539d66216ec3430b SHA512 bebf7f737f5e63107d77c4237a5750aa10f9bd1136deaa6bb1a8e5cab703d425a3a94a8f617df144e603f4f1f85ef62852740604a981e7dda41f0c43ae250406
+DIST nio4r-2.7.0.gem 124416 BLAKE2B f02a16cf45dc2ea547dd8e036ddff5c37c24e9188db9ab4f817a55243f87f78264ed11bcd8d055e244c655aea08fa4922cd53dcae39e090031c87d0d78909c7b SHA512 aeb0bd3e727fa6999a314cd2b15a35035694f41294f7e9c406a72fd50a7a7a02311efec8c5795a116fd3793bf6b81e17d884e156b844722933e45d056f0cbeb9
diff --git a/dev-ruby/nio4r/nio4r-2.7.0.ebuild b/dev-ruby/nio4r/nio4r-2.7.0.ebuild
new file mode 100644
index 000000000000..381b1a8e8790
--- /dev/null
+++ b/dev-ruby/nio4r/nio4r-2.7.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="changes.md readme.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/nio4r/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="A high performance selector API for monitoring IO objects"
+HOMEPAGE="https://github.com/socketry/nio4r"
+
+LICENSE="MIT || ( BSD GPL-2 )"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+# Note that nio4r bundles a patched copy of libev, and without these
+# patches the tests fail: https://github.com/celluloid/nio4r/issues/15
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' spec/spec_helper.rb || die
+ sed -e '/extension/ s:^:#:' -i Rakefile || die
+}
diff --git a/dev-ruby/stringio/stringio-3.0.6.ebuild b/dev-ruby/stringio/stringio-3.0.6.ebuild
index db9c0bd6dc1d..5fba86219b99 100644
--- a/dev-ruby/stringio/stringio-3.0.6.ebuild
+++ b/dev-ruby/stringio/stringio-3.0.6.ebuild
@@ -26,5 +26,5 @@ all_ruby_prepare() {
}
each_ruby_test() {
- ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
}
diff --git a/dev-ruby/stringio/stringio-3.0.7.ebuild b/dev-ruby/stringio/stringio-3.0.7.ebuild
index 86568861b053..e818ea6895b8 100644
--- a/dev-ruby/stringio/stringio-3.0.7.ebuild
+++ b/dev-ruby/stringio/stringio-3.0.7.ebuild
@@ -26,5 +26,5 @@ all_ruby_prepare() {
}
each_ruby_test() {
- ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
}
diff --git a/dev-ruby/stringio/stringio-3.0.8.ebuild b/dev-ruby/stringio/stringio-3.0.8.ebuild
index 1fbf38918157..a61d8368f129 100644
--- a/dev-ruby/stringio/stringio-3.0.8.ebuild
+++ b/dev-ruby/stringio/stringio-3.0.8.ebuild
@@ -26,5 +26,5 @@ all_ruby_prepare() {
}
each_ruby_test() {
- ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
}
diff --git a/dev-ruby/stringio/stringio-3.1.0.ebuild b/dev-ruby/stringio/stringio-3.1.0.ebuild
index e9ef6cc8a7cf..645b3526510e 100644
--- a/dev-ruby/stringio/stringio-3.1.0.ebuild
+++ b/dev-ruby/stringio/stringio-3.1.0.ebuild
@@ -26,5 +26,5 @@ all_ruby_prepare() {
}
each_ruby_test() {
- ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
}
diff --git a/dev-ruby/sus/Manifest b/dev-ruby/sus/Manifest
index 9054232e93b2..c7a4ef846c48 100644
--- a/dev-ruby/sus/Manifest
+++ b/dev-ruby/sus/Manifest
@@ -1,6 +1,5 @@
-DIST sus-0.20.3.tar.gz 28845 BLAKE2B d10b142dd9d7ef44a453746f859a7d4a66eacd09ea157aef1887a95b01a88e7f749f9ca881518500eef48917b5cb1e67ac008327af0ae9df0200875bbe1de3b1 SHA512 1158f6ae53c5aae22454a15eaf7e613a00b1af730bf07af6662bd7e9d7f30365cea9dbebcddb5b6234931cf9414b8c3af0889d73194632cbaad439872cc89059
-DIST sus-0.21.0.tar.gz 29581 BLAKE2B c39102c006b1fdfec6f40ef7eaa973a0cd5039b73402c8c5ff9234a0c06131c24550070fd04d59dd8706edbd08d46604e943f9b69e071dd29eefda103a1a6d1f SHA512 1fdbcbe814411a0ff3b9ebc72143f64fc76dbe11faea915e9d46bda786da9837e62a5a3070ceb6f28ac6bfe2c4fc8646de865efbc679abe80ee2a7abe327c007
DIST sus-0.21.1.tar.gz 29580 BLAKE2B 9a30950b4ad9da13af48c50a96951ba9f9cace97fac3a603de5acfe489dc8c8d4581b064f2452c9bf5da96da4db8f488df42f89a2113dd924c8ba8fcf8fd9230 SHA512 73db74f791f47a898840db65cf9c2f98b92f3d2a5319828f26dc55c8aef8e0932060c1075f5010b3c2b887891c1467a3828728f78a84297725d851966093ce9e
DIST sus-0.21.2.tar.gz 30329 BLAKE2B ea0e9d4ffc994ce0370abbde8d68de668457f90e5f53e0c80e1aa146a28754782590eee7e53dc6373fe17b8816e481b82c5d97c4b2a39829a8a9a5a58faa42ba SHA512 eeced196ffc0871474495fb1afd8aa25f36a1881bad303447499a9b6c19ed94241896256563a4f61e9f7e1b32b8ed5e52e83f5c414c64002e283e81f1fc28b06
DIST sus-0.22.2.tar.gz 30822 BLAKE2B 483a1e7e48f075e07c549bab9c1ee71ea7cf815ee4f950cb4b0487a5f923a7f509a6354567dd9026936908eb5f9c2c224ff55bedb5a9e300d52a100ff766349f SHA512 e4ee140be1b70947b92983f914a8c8b6c24ab20fa238c26558522fa6b12dd8f63f0842fbc770e8a9378e6a2dcb735504de12305436af100ba9e147869510eadd
DIST sus-0.23.0.tar.gz 30932 BLAKE2B 8f08e167368c54814b674e42ab5855f06387646774b93551fd67b7b4b7eb3313aeaa82369d2346325d2214c5f134875b9730579559450519ddb49eb62b70ad40 SHA512 ee1815d70692154abef962d41cca7037b0fa1419861ff08518a0b1153e43e308c351eb21ca32b017b30fb30fbc1a3bd707681b2a59e4a74137642c36080dddbd
+DIST sus-0.24.0.tar.gz 31229 BLAKE2B 4e335d72f61ede7d946f4d375abe5a7640fefd17d2fc7697bb489f5e14dc42711a6777baaed35e91cb8c76bfba62127ecfdf866e36e54bc1d9fd0f705424ade4 SHA512 1f879dc59af1f348b29da4b1555dbe4f999c9b695a327f233a381382be33f7e7b1a47213f20f72ff420d57fc7c42024e6a1c34737666e88b808518588389d3fb
diff --git a/dev-ruby/sus/sus-0.20.3.ebuild b/dev-ruby/sus/sus-0.20.3.ebuild
deleted file mode 100644
index ddd0a15dee9d..000000000000
--- a/dev-ruby/sus/sus-0.20.3.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
-
-RUBY_FAKEGEM_EXTRADOC="readme.md"
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A fast and scalable test runner"
-HOMEPAGE="https://github.com/ioquatix/sus"
-SRC_URI="https://github.com/ioquatix/sus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
-
- # Remove the sus configuration which enabled coverage checks.
- # Its dependency is not packaged.
- rm -f config/sus.rb || die
-}
-
-each_ruby_test() {
- ${RUBY} bin/sus-parallel || die
-}
diff --git a/dev-ruby/sus/sus-0.23.0.ebuild b/dev-ruby/sus/sus-0.23.0.ebuild
index bd56aec6e77e..52cede312224 100644
--- a/dev-ruby/sus/sus-0.23.0.ebuild
+++ b/dev-ruby/sus/sus-0.23.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/ioquatix/sus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE=""
all_ruby_prepare() {
diff --git a/dev-ruby/sus/sus-0.21.0.ebuild b/dev-ruby/sus/sus-0.24.0.ebuild
index 47dc10e077b5..bd56aec6e77e 100644
--- a/dev-ruby/sus/sus-0.21.0.ebuild
+++ b/dev-ruby/sus/sus-0.24.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32"
RUBY_FAKEGEM_EXTRADOC="readme.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"